//app.js
var api = require('utils/api.js');
App({
  onLaunch: function() {
    //调用API从本地缓存中获取数据
    var logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)

    wx.checkSession({
      success: function() {

      },
      fail: function() {
        wx.login({
          success: res => {
            wx.request({
              url: api.loginUrl,
              method: 'GET',
              data: {
                code: res.code
              },
              success: res => {
                if(res.data.status == 'success') {
                  wx.setStorageSync('we_chat_user_id', res.data.id);
                }
              }
            })
          }
        })
      }
    })
  },

  getUserInfo: function(cb) {
    var that = this
    if (this.globalData.userInfo) {
      typeof cb == "function" && cb(this.globalData.userInfo)
    } else {
      //调用登录接口
      wx.getUserInfo({
        withCredentials: false,
        success: function(res) {
          that.globalData.userInfo = res.userInfo
          typeof cb == "function" && cb(that.globalData.userInfo)
        }
      })
    }
  },

  globalData: {
    userInfo: null,
    ptStudent: null
  },
  login: function(info) {
    wx.login({
      success: res => {
        console.log(info, res)
        wx.request({
          url: api.loginUrl,
          method: 'POST',
          data: {
            code: res.code,
            iv: info.iv,
            encryptedData: info.encryptedData
          },
          success: info => {
            console.log(info);
            if (info.data.status == 'success') {
              wx.setStorageSync('pt_student', info.data.data);
              getApp().globalData.ptStudent = info.data.data;
              wx.switchTab({
                url: '/pages/index/index',
              })
            }
          }
        });
      }
    });
  }
})